using System.Xml.Serialization;
using NewRock.Sdk.Control.Response;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class QueryOuterRequest:INewRockRequest<QueryOuterResponse>
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("outer")]
        public QueryOuterOuter Outer { get; set; }
    }

    public class QueryOuterOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
